Please update Rated 4 out of 5 stars

Can you please add support for OpenSolaris and update compatibility to Firefox 3.6?

Thanks.